Bug 37901 - EDITING: Undo not available for Merge Cells in Calc
Summary: EDITING: Undo not available for Merge Cells in Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2011-06-03 16:54 UTC by gleppert
Modified: 2019-12-07 19:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gleppert 2011-06-03 16:54:48 UTC
If one merges cells in Calc, there are two options in "Format" - "Merge Cells". For the second option which is also called "Merge Cells" there is no UNDO functionality available. 

How to reproduce:
1. Select a couple of cells
2. Go to "Format" -> "Merge Cells" -> "Merge Cells"
3. Result: The cells are merged, but not UNDO is possible.

Remark: For the first option, which is called "Merge and Center Cells", the UNDO functionality works like expected.

System: Ubuntu 10.10, gnome 2, English UI, LibreOffice 3.3.2 PPA.
Comment 1 Markus Mohrhard 2011-06-03 17:30:39 UTC
I can reproduce it in 3.4. I think I'll fix it for 3.4.1.
Comment 2 Markus Mohrhard 2011-06-03 17:56:32 UTC
Is already fixed for 3.4RC2 by Kohei with:

http://cgit.freedesktop.org/libreoffice/calc/commit/?h=libreoffice-3-4&id=4fc4f4907792364f8e67ea25eeea2969a4d1201f
Comment 3 gleppert 2011-06-03 18:11:14 UTC
@Markus: Thank you very much!
Comment 4 Commit Notification 2018-02-25 14:59:02 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=218bd65271cf9d94e6a47b61c83883eea1885317

uitest Calc merged cells- tdf#51368 tdf#105412 tdf#37901 tdf#51368 tdf#63766

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 raal 2019-12-07 19:25:31 UTC
The test exist, set status to Verified.